using System;
using System.Data;
using System.Collections.Generic;
namespace ZXDT.CallCenter.BLL
{
    /// <summary>
    /// T_Wo_WorkOrderNotice
    /// </summary>
    public partial class T_Wo_WorkOrderNotice
    {
        private readonly ZXDT.CallCenter.DAL.T_Wo_WorkOrderNotice dal = new ZXDT.CallCenter.DAL.T_Wo_WorkOrderNotice();
        public T_Wo_WorkOrderNotice()
        { }
        #region  BasicMethod
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(int NoticeId)
        {
            return dal.Exists(NoticeId);
        }

        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(ZXDT.CallCenter.Model.T_Wo_WorkOrderNotice model)
        {
            return dal.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(ZXDT.CallCenter.Model.T_Wo_WorkOrderNotice model)
        {
            return dal.Update(model);
        }
        /// <summary>
        /// 更新定责次数
        /// </summary>
        public int updatenum(int orderid)
        {
            return dal.updatenum(orderid);
        }

            /// <summary>
            /// 删除一条数据
            /// </summary>
            public bool Delete(int NoticeId)
        {

            return dal.Delete(NoticeId);
        }
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteList(string NoticeIdlist)
        {
            return dal.DeleteList(NoticeIdlist);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public ZXDT.CallCenter.Model.T_Wo_WorkOrderNotice GetModel(int NoticeId)
        {

            return dal.GetModel(NoticeId);
        }


        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<ZXDT.CallCenter.Model.T_Wo_WorkOrderNotice> GetModelList(string strWhere)
        {
            DataSet ds = dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<ZXDT.CallCenter.Model.T_Wo_WorkOrderNotice> DataTableToList(DataTable dt)
        {
            List<ZXDT.CallCenter.Model.T_Wo_WorkOrderNotice> modelList = new List<ZXDT.CallCenter.Model.T_Wo_WorkOrderNotice>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                ZXDT.CallCenter.Model.T_Wo_WorkOrderNotice model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = dal.DataRowToModel(dt.Rows[n]);
                    if (model != null)
                    {
                        modelList.Add(model);
                    }
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            return dal.GetRecordCount(strWhere);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
        {
            return dal.GetListByPage(strWhere, orderby, startIndex, endIndex);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        //public DataSet GetList(int PageSize,int PageIndex,string strWhere)
        //{
        //return dal.GetList(PageSize,PageIndex,strWhere);
        //}

        #endregion  BasicMethod
        #region  ExtensionMethod

        #endregion  ExtensionMethod
    }
}

